### Function

# Gtk.PaperSize.new_from_ppd

#### Declaration [src]

    GtkPaperSize*
    gtk_paper_size_new_from_ppd (
      const char* ppd_name,
      const char* ppd_display_name,
      double width,
      double height
    )

#### Description [src]

Creates a new `GtkPaperSize` object by using PPD information.

If `ppd_name` is not a recognized PPD paper name, `ppd_display_name`, `width` and `height` are used to construct a custom `GtkPaperSize` object.

#### Parameters

`ppd_name` | `const char*`
| a PPD paper name
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`ppd_display_name` | `const char*`
| the corresponding human-readable name
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`width` | `double`
| the paper width, in points
`height` | `double`
| the paper height in points

#### Return value

Returns: `GtkPaperSize`
a new `GtkPaperSize`, use `gtk_paper_size_free()` to free it
Ownership of the data is transferred to the caller